
// Terra3D.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Načte terén vytvořený pomocí aplikace TerraGen
   a exportované jako soubor typu obj (síť) a jpg (textura).

   Použijte dávkový soubor Terra3D.bat, kterému zadáte jméno
   terénu jako argument.
     např. Terrain3D test2

   V adresáři /models se v tomto případě hledají soubory test2.obj a test2.jpg.

   Terén může obsahovat 3D-scenérii a musí mít počáteční pozici
   uživatele. Toto vše lze specifikovat v souboru, jehož název má tvar
           /models/<fn>.txt
   např.   /models/test2.txt

   Terén může být vyšperkován pokrývkou povrchu na náhodných lokacích
   s jistým omezením co výšky týče.
   Jména obrázků s pokrývkou povrchu a jejich počet můžete stanovit 
   v souboru, jehož jméno má tvar
           /models/<fn>GC.txt
   např.   /models/test2GC.txt

   Uživatel se po povrchu může pohybovat pomocí ovládacích kláves.


   ------------------------------------------
   Kompilaci lze provést pomocí dávkového souboru compileTerra3D.bat:
        javac -classpath "%CLASSPATH%;ncsa\portfolio.jar" *.java
*/

import javax.swing.*;
import java.awt.*;


public class Terra3D extends JFrame
{

  public Terra3D(String fn) 
  {
    super("Terra3D");

    Container c = getContentPane();
    c.setLayout( new BorderLayout() );
    WrapTerra3D w3d = new WrapTerra3D(fn);
    c.add(w3d, BorderLayout.CENTER);

    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    pack();
    setResizable(false);    // rozměry okna jsou pevně dány
    setVisible(true);
  } // konec metody: Terra3D()


// -----------------------------------------

  public static void main(String[] args)
  { 
    if (args.length == 1)
      new Terra3D(args[0]);
    else
      System.out.println(
       "Použití: java -cp %CLASSPATH%;ncsa\\portfolio.jar Terra3D  <file>");
  }

} // konec třídy: Terra3D

